Skip to main content
POST
/
reports
/
{report_id}
/
run
Run Full Evaluation
curl --request POST \
  --url https://api.promptlayer.com/reports/{report_id}/run \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "dataset_id": 123,
  "refresh_dataset": true
}
'
{
  "success": true,
  "report_id": 123
}
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
This endpoint allows you to run an evaluation pipeline. You can optionally update the dataset.

Authorizations

X-API-KEY
string
header
required

Path Parameters

report_id
integer
required

ID of the evaluation pipeline report to run.

Body

application/json
name
string
required

The name of the final report to be created. Must be between 1 and 255 characters in length.

Required string length: 1 - 255
dataset_id
integer | null

The ID of the dataset to use for the report. If not provided, uses the evaluation pipeline's default dataset.

refresh_dataset
boolean | null

Whether to refresh the dataset before running the report. Only applicable for dynamic datasets.

Response

Report run initiated successfully

success
boolean
required
report_id
integer
required

The ID of the created final report.